lunedì 24 marzo 2014

Installare un ambiente LAMP in Linux: configurazione dei Virtual Host.

Iniziamo con il creare un file di testo che specifichi il nostro Virtual Host SSL:
# nano /etc/apache2/sites-available/default-ssl


e configuriamolo come segue:


NameVirtualHost *:443

<VirtualHost *:443>


    SSLEngine on


    SSLCertificateFile    /etc/apache2/ssl/apache.pem


    SSLCertificateKeyFile /etc/apache2/ssl/apache.pem


    ServerAdmin admin@dominio.org


    ServerName server.dominio.org


    ErrorLog /var/log/apache2/error_ssl.log


    LogLevel warn


CustomLog /var/log/apache2/access_ssl.log combined


    ServerSignature On


    DocumentRoot /var/www/apache2-default


    <Directory />


        Options FollowSymLinks


        AllowOverride None


    </Directory>


    <Directory /var/www/apache2-default>


        Options Indexes FollowSymLinks MultiViews


        AllowOverride None


        Order allow,deny


        allow from all


    </Directory>





    ScriptAlias /cgi-local/ /var/www/apache2-default/cgi-bin/


    ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/





    <Directory "/var/www/apache2-default/cgi-bin">


         AllowOverride None


         Options None


         Order allow,deny


         Allow from all


    </Directory>





    <Directory "/usr/lib/cgi-bin">


        AllowOverride None


        Options None


        Order allow,deny


        Allow from all


    </Directory>





    Alias /icons/ "/usr/share/apache2/icons/"


    Alias /manual/ "/usr/share/doc/apache2-doc/manual/"


  
    <Directory "/usr/share/apache2/icons">


        Options Indexes MultiViews


        AllowOverride None


        Order allow,deny


        Allow from all


    </Directory>


</VirtualHost>


LAMP_software_bundle.svg


Apache non è in ascolto sulla porta 443, quella normalmente utilizzata da apache-ssl, e quindi lo dobbiamo istruire modificando il file /etc/apache2/ports.conf aggiungendo la riga:


Listen 443


Come ultima cosa, importantissima, bisogna attivare il sito che abbiamo appena creato (sempre utilizzando i comodi comandi che Apache2 ci mette a disposizione). Sarà quindi sufficiente un:


# a2ensite default-ssl


Un riavvio di Apache2 caricherà la nuova configurazione:


# /etc/init.d/apache2 force-reload





Installazione di PHP5.


Per avere il supporto a PHP5 è sufficiente installare il linguaggio di scripting e il relativo modulo di supporto ad Apache2:


# aptitude install php5 libapache2-mod-php5


A questo punto un riavvio di Apache è sufficiente:


# /etc/init.d/apache2 reload


Su tutte le Debian Squeeze c’è una correzione al volo da fare al file php.ini. Il problema è dovuto al parametro:


memory_limit = -1


Visto così sembrerebbe un flag disabilitato e ci aspetteremmo quindi che non ci sia alcun limite nella memoria allocabile, invece il comportamento è tutt’altro:


PHP Fatal error:  Allowed memory size of 33554432 bytes exhausted (tried to allocate 64 bytes) in /var/www/clients/client21/web54/web/XXXXXX.php on line 212


Per ovviare al problema, è bene specificare quale effettivamente è il limite di memoria che intendiamo imporre ad uno script php eseguito da linea di comando. Il parametro si trova nel file:


/etc/php5/cli/php.ini


E la modifica da effettuare è la seguente:


; Maximum amount of memory a script may consume (128MB)

; http://php.net/memory-limit


;memory_limit = -1


memory_limit = 128M


Se ti è piaciuto l'articolo , iscriviti al feed cliccando sull'immagine sottostante per tenerti sempre aggiornato sui nuovi contenuti del blog:


reeder

Fonte: http://reubuntu.blogspot.com/2014/01/installare-un-ambiente-lamp-in-linux_24.html

Nessun commento:

Posta un commento

Ogni opinione espressa in questi commenti è unicamente quella del suo autore, identificato tramite nickname e di cui si assume ogni responsabilità civile, penale e amministrativa derivante dalla pubblicazione del materiale inviato. L'utente, inviando un commento, dichiara e garantisce di tenere INFORMARMY.com manlevato ed indenne da ogni eventuale effetto pregiudizievole e/o azione che dovesse essere promossa da terzi con riferimento al materiale divulgato e/o pubblicato.
INFORMARMY.com modera i commenti non entrando nel merito del contenuto ma solo per evitare la pubblicazione di messaggi volgari, blasfemi, violenti, razzisti, spam, etc.

LinkWithin

Related Posts Plugin for WordPress, Blogger...